Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.spatial.query
Class SpatialOperation

    java.lang.Object
      org.apache.lucene.spatial.query.SpatialOperation

All Implemented Interfaces:
  Serializable

    public abstract class SpatialOperation

extends Object
implements Serializable

A clause that compares a stored geometry to a supplied geometry. For more explanation of each operation, consider looking at the source implementation of `evaluate(com.spatial4j.core.shape.Shape, com.spatial4j.core.shape.Shape)`.

See Also:
  ESRIs docs on spatial relations, Serialized Form
WARNING: This API is experimental and might change in incompatible ways in the next release.

Field Summary
`static SpatialOperation` | `BBoxIntersects` Bounding box of the *indexed* shape.
`static SpatialOperation` | `BBoxWithin` Bounding box of the *indexed* shape.
`static SpatialOperation` | `Contains`
`static SpatialOperation` | `Intersects`
`static SpatialOperation` | `IsDisjointTo`
`static SpatialOperation` | `IsEqualTo`
`static SpatialOperation` | `IsWithin`
`static SpatialOperation` | `Overlaps`

Constructor Summary
`protected` | `SpatialOperation(String name, boolean scoreIsMeaningful, boolean sourceNeedsArea, boolean targetNeedsArea)`

Method Summary
`abstract boolean` | `evaluate(com.spatial4j.core.shape.Shape indexedShape, com.spatial4j.core.shape.Shape queryShape)` Returns whether the relationship between indexedShape and queryShape is satisfied by this operation.
`static SpatialOperation` | `get(String v)`
`String` | `getName()`
`static boolean` | `is(SpatialOperation op, SpatialOperation... tst)`
`boolean` | `isScoreIsMeaningful()`
`boolean` | `isSourceNeedsArea()`
`boolean` | `isTargetNeedsArea()`
`String` | `toString()`
`static List<SpatialOperation>` | `values()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BBoxIntersects

    public static final SpatialOperation BBoxIntersects

  Bounding box of the *indexed* shape.

### BBoxWithin

    public static final SpatialOperation BBoxWithin

  Bounding box of the *indexed* shape.

### Contains

    public static final SpatialOperation Contains

### Intersects

    public static final SpatialOperation Intersects

### IsEqualTo

    public static final SpatialOperation IsEqualTo

### IsDisjointTo

    public static final SpatialOperation IsDisjointTo

### IsWithin

    public static final SpatialOperation IsWithin

### Overlaps

    public static final SpatialOperation Overlaps

Constructor Detail

### SpatialOperation

    protected SpatialOperation(String name,
                               boolean scoreIsMeaningful,
                               boolean sourceNeedsArea,
                               boolean targetNeedsArea)

Method Detail

### get

    public static SpatialOperation get(String v)

### values

    public static List<SpatialOperation> values()

### is

    public static boolean is(SpatialOperation op,
                             SpatialOperation... tst)

### evaluate

    public abstract boolean evaluate(com.spatial4j.core.shape.Shape indexedShape,
                                     com.spatial4j.core.shape.Shape queryShape)

  Returns whether the relationship between indexedShape and queryShape is satisfied by this operation.

### isScoreIsMeaningful

    public boolean isScoreIsMeaningful()

### isSourceNeedsArea

    public boolean isSourceNeedsArea()

### isTargetNeedsArea

    public boolean isTargetNeedsArea()

### getName

    public String getName()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.